Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
error /libstdc++.la not valid libtool etc beginner
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
lmcogs
Guru
Guru


Joined: 03 Apr 2005
Posts: 340

PostPosted: Thu Apr 07, 2005 12:31 pm    Post subject: error /libstdc++.la not valid libtool etc beginner Reply with quote

hi

I am having alot of error messages like the one below concerning 'libstcd++.la and libtool which I got 'emerge --update --deep --newuse world'. I was getting this message trying to emerge other software like kde, which got as far as kdelibs and then this error, also k3b. That's why I was trying to emerge upto date packages and clean the system.

As far as 'equery list -i gcc' gets sys-devel/gcc-3.3.5-r1 and gcc-config-1.3.10-r2, binutils-config-1.8-r2, binutils-2.15.92.0.2-r7 and glibc-2.3.4.20041102-r1, dev-libs/glib-2.6.2-r1 glib-1.2.10-r5.

I have gnome running with nvidia graphic and sound vis82xx and there was no problems with installing well except for configuring nvidia and sound. I installed the system after many attempts from two disks which were supplied by Gentoo and found ambiguous directions from the installation docs especially when I got to the installing software where the documents gave a warning about emerge --usepkg and said it might be better to use emerge --usepkgonly. I did'nt really know which to do so I think I used the latter. I believe I installed gnome from the disk but when I tried kde I got problems. I beieve I then tried to emerge from the web and I did emerge sync. Have I mismatched the two methods, or are the ebuilds different from the disk? I also was getting error message about the glib dependences that is why I instaled glib-1.2.10-r5 from the disk. Got the glib error trying to emerge 'gtoaster' but now I was able to install it.


Here's the end result of emerge --update --deep --newuse world
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_LOG_DOMAIN=\"GdkPixbuf\" -I.. -I.. -I../gdk-pixbuf -I../gdk-pixbuf -DGTK_SYSCONFDIR=\"/etc\" -DGTK_VERSI ON=\"2.6.4\" -DGTK_BINARY_VERSION=\"2.4.0\" -DG_DISABLE_DEPRECATED -DGDK_PIXBUF_ DISABLE_DEPRECATED -DGTK_PREFIX=\"/usr\" -DG_DISABLE_CAST_CHECKS -pthread -I/usr /include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libpng12 -DGDK_PIXB UF_ENABLE_BACKEND -DPIXBUF_LIBDIR=\"/usr/lib/gtk-2.0/2.4.0/loaders\" -DBUILT_MOD ULES_DIR=\"./.libs\" -O2 -march=athlon-xp -pipe -Wall -MT io-tiff.lo -MD -MP -MF .deps/io-tiff.Tpo -c io-tiff.c -fPIC -DPIC -o .libs/io-tiff.o
/bin/sh ../libtool --mode=link i686-pc-linux-gnu-gcc -O2 -march=athlon-xp -pipe -Wall -o libpixbufloader-tiff.la -rpath /usr/lib/gtk-2.0/2.4.0/loaders -avoid -version -module io-tiff.lo -ltiff libgdk_pixbuf-2.0.la -lgmodule-2.0 -ldl -lgo bject-2.0 -lglib-2.0 -lm
grep: //usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or di rectory
/bin/sed: can't read //usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or directory
libtool: link: `//usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la' is not a valid libtool archive
make[4]: *** [libpixbufloader-tiff.la] Error 1
make[4]: Leaving directory `/var/tmp/portage/gtk+-2.6.4-r1/work/gtk+-2.6.4/gdk-p ixbuf'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/gtk+-2.6.4-r1/work/gtk+-2.6.4/gdk-p ixbuf'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/gtk+-2.6.4-r1/work/gtk+-2.6.4/gdk-p ixbuf'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gtk+-2.6.4-r1/work/gtk+-2.6.4'
make: *** [all] Error 2

!!! ERROR: x11-libs/gtk+-2.6.4-r1 failed.
!!! Function src_compile, Line 84, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

Appreciate a magic wand please!

lmcogs
Back to top
View user's profile Send private message
mens
Guru
Guru


Joined: 27 Aug 2003
Posts: 392
Location: Belgium

PostPosted: Thu Apr 07, 2005 12:51 pm    Post subject: Reply with quote

apparently your CHOST has been changed.

try
Code:
/sbin/fix_libtool_files.sh 3.3.5 --oldarch i386-pc-linux-gnu
as root and try again
Back to top
View user's profile Send private message
lmcogs
Guru
Guru


Joined: 03 Apr 2005
Posts: 340

PostPosted: Thu Apr 07, 2005 1:55 pm    Post subject: Reply with quote

Hi
Thanks for reply. I ran that command without any errors. I am now trying to emerge kword which before gave that error.

I looked in /etc/make.conf and my CHOST in "i686-pc-linux-gnu". I built the system using genkernel --udev --menuconfig all and chose 'athlon xp' for processor since my mb is gigabyte 7vaxpu with athlon cpu.

Will let you know how kword is going seems to be installing kde as well,.

lmcogs
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Thu Apr 07, 2005 1:59 pm    Post subject: Reply with quote

This is covered in an FAQ. :wink:

Moved from Installing Gentoo.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum